Bug 727587 - consumergroup package install issue
Summary: consumergroup package install issue
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 26
Assignee: Jeff Ortel
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks: pulp-verified
TreeView+ depends on / blocked
 
Reported: 2011-08-02 14:31 UTC by Preethi Thomas
Modified: 2013-09-09 16:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-16 14:02:02 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-02 14:31:27 UTC
Description of problem:
consumergroup package install doesn't seem t return even after the package install completes

[root@preethi ~]# pulp-admin package install --consumergroupid=grp1 -n screen
Created job id: 3fbc9a8f-318e-4437-a4b3-d9fe4a12705a
Job is scheduled for: None
Waiting: [-]


 
[root@preethi ~]# pulp-admin consumergroup list
+------------------------------------------+
      List of Available Consumer Groups
+------------------------------------------+

Id                 	grp1                     
Description        	None                     
Consumer ids       	['pulp-client', 'preethi']
Additional info    	        


From the pulp.log
2011-08-02 10:31:42,908 28339:140128668346112: pulp.server.tasking.task:WARNING: task:420 Deprecated base class Task.timeout() called for [Task 8afb8ce6-bc71-11e0-a7ca-002564a85a58: ConsumerGroupApi.__installpackages(pulp-client, ['zsh'], )]
2011-08-02 10:31:42,909 28339:140128668346112: pulp.server.tasking.task:WARNING: task:420 Deprecated base class Task.timeout() called for [Task 22c66487-bd0f-11e0-b4de-002564a85a58: ConsumerGroupApi.__installpackages(pulp-client, ['screen'], )]



Version-Release number of selected component (if applicable):
[root@preethi ~]# rpm -q pulp
pulp-0.0.218-1.fc14.noarch

Comment 1 Jeff Ortel 2011-08-03 15:48:36 UTC
Fixed.

Comment 2 Jeff Ortel 2011-08-03 20:11:31 UTC
build: 0.219

Comment 3 Preethi Thomas 2011-08-04 18:16:41 UTC
verified
[root@preethi ~]# rpm -q pulp
pulp-0.0.221-1.fc14.noarch

[root@preethi ~]# pulp-admin package install -n zsh --consumergroupid=grp1
Created job id: cd4717c8-057b-433b-adb2-9c20a90b37a7
Job is scheduled for: None
Waiting: [\] 
Install Summary:
	[ FINISHED ] preethi 
	[ FINISHED ] pulp-client

Comment 4 Preethi Thomas 2011-08-16 14:02:02 UTC
Closing with Community Release 15

pulp-0.0.223-4.


Note You need to log in before you can comment on or make changes to this bug.